## ros-common-msgs 1.12.7

=== diagnostic_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(diagnostic_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation std_msgs)

add_message_files(
  DIRECTORY msg
  FILES
  DiagnosticArray.msg
  DiagnosticStatus.msg
  KeyValue.msg)

add_service_files(
  DIRECTORY srv
  FILES
  AddDiagnostics.srv
  SelfTest.srv)

generate_messages(DEPENDENCIES std_msgs)

catkin_package(CATKIN_DEPENDS message_runtime std_msgs)

=== geometry_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(geometry_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation std_msgs)

add_message_files(
  DIRECTORY msg
  FILES
  Accel.msg
  AccelStamped.msg
  AccelWithCovariance.msg
  AccelWithCovarianceStamped.msg
  Inertia.msg
  InertiaStamped.msg
  Point.msg
  Point32.msg
  PointStamped.msg
  Polygon.msg
  PolygonStamped.msg
  Pose2D.msg
  Pose.msg
  PoseArray.msg
  PoseStamped.msg
  PoseWithCovariance.msg
  PoseWithCovarianceStamped.msg
  Quaternion.msg
  QuaternionStamped.msg
  Transform.msg
  TransformStamped.msg
  Twist.msg
  TwistStamped.msg
  TwistWithCovariance.msg
  TwistWithCovarianceStamped.msg
  Vector3.msg
  Vector3Stamped.msg
  Wrench.msg
  WrenchStamped.msg)

generate_messages(DEPENDENCIES std_msgs)

catkin_package(CATKIN_DEPENDS message_runtime std_msgs)

=== sensor_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(sensor_msgs)

find_package(catkin REQUIRED COMPONENTS geometry_msgs message_generation std_msgs)

# For point_cloud2.py
catkin_python_setup()

include_directories(include)

add_message_files(
  DIRECTORY msg
  FILES
  BatteryState.msg
  CameraInfo.msg
  ChannelFloat32.msg
  CompressedImage.msg
  FluidPressure.msg
  Illuminance.msg
  Image.msg
  Imu.msg
  JointState.msg
  Joy.msg
  JoyFeedback.msg
  JoyFeedbackArray.msg
  LaserEcho.msg
  LaserScan.msg
  MagneticField.msg
  MultiDOFJointState.msg
  MultiEchoLaserScan.msg
  NavSatFix.msg
  NavSatStatus.msg
  PointCloud.msg
  PointCloud2.msg
  PointField.msg
  Range.msg
  RegionOfInterest.msg
  RelativeHumidity.msg
  Temperature.msg
  TimeReference.msg)

add_service_files(
  DIRECTORY srv
  FILES SetCameraInfo.srv)

generate_messages(DEPENDENCIES geometry_msgs std_msgs)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS geometry_msgs message_runtime std_msgs)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

install(DIRECTORY migration_rules
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if (CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

=== shape_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(shape_msgs)

find_package(catkin REQUIRED COMPONENTS geometry_msgs message_generation std_msgs)

add_message_files(
  DIRECTORY msg
  FILES
  Mesh.msg
  MeshTriangle.msg
  Plane.msg
  SolidPrimitive.msg)

generate_messages(DEPENDENCIES geometry_msgs std_msgs)

catkin_package(CATKIN_DEPENDS geometry_msgs message_runtime std_msgs)

=== debian/changelog ===
ros-common-msgs (1.12.7-2) unstable; urgency=medium

  * Drop Python 2 packages (Closes: #938373)
  * simplify d/watch
  * switch to debhelper-compat and debhelper 12
  * Bump policy version (no changes)
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 08:11:58 +0200

ros-common-msgs (1.12.7-1) unstable; urgency=medium

  * New upstream version 1.12.7
  * Bump policy version

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 11 Nov 2018 09:46:13 +0100

=== debian/control ===
Source: ros-common-msgs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 12), catkin, libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
		python3-all, python3-setuptools, dh-python, ros-std-msgs
Standards-Version: 4.4.1
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/common_msgs
Vcs-Browser: https://salsa.debian.org/science-team/ros-common-msgs
Vcs-Git: https://salsa.debian.org/science-team/ros-common-msgs.git

Package: ros-actionlib-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-std-msgs
Description: Messages relating to Robot OS actionlib, definitions
 This package is part of Robot OS (ROS), and contains the common
 messages to interact with an action server and an action client.  For
 full documentation of the actionlib API see the
 https://wiki.ros.org/actionlib package.
 .
 This package contains the message definitions.

Package: libactionlib-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, python3, libstd-msgs-dev
Description: Messages relating to the Robot OS actionlib, C/C++ interface
 This package is part of Robot OS (ROS), and contains the common
 messages to interact with an action server and an action client.  For
 full documentation of the actionlib API see the
 https://wiki.ros.org/actionlib package.
 .
 This package contains the generated headers files.

Package: python3-actionlib-msgs
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs
Description: Messages relating to Robot OS actionlib, Python 3 interface
 This package is part of Robot OS (ROS), and contains the common
 messages to interact with an action server and an action client.  For
 full documentation of the actionlib API see the
 https://wiki.ros.org/actionlib package.
 .
 This package contains the generated Python 3 package.

Package: cl-actionlib-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cl-std-msgs
Description: Messages relating to Robot OS actionlib, LISP interface
 This package is part of Robot OS (ROS), and contains the common
 messages to interact with an action server and an action client.  For
 full documentation of the actionlib API see the
 https://wiki.ros.org/actionlib package.
 .
 This package contains the generated LISP library.

Package: ros-diagnostic-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-std-msgs
Description: Messages relating to Robot OS diagnostic, definitions
 This package is part of Robot OS (ROS), and contains the messages
 which provide the standardized interface for the diagnostic and
 runtime monitoring systems in ROS. These messages are currently used
 by the https://wiki.ros.org/diagnostics stack, which provides
 libraries for simple ways to set and access the messages, as well as
 automated ways to process the diagnostic data.
 .
 This package contains the message definitions.

Package: libdiagnostic-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libstd-msgs-dev
Description: Messages relating to Robot OS diagnostic, C/C++ interface
 This package is part of Robot OS (ROS), and contains the messages
 which provide the standardized interface for the diagnostic and
 runtime monitoring systems in ROS. These messages are currently used
 by the https://wiki.ros.org/diagnostics stack, which provides
 libraries for simple ways to set and access the messages, as well as
 automated ways to process the diagnostic data.
 .
 This package contains the generated C/C++ header files.

Package: python3-diagnostic-msgs
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs
Description: Messages relating to Robot OS diagnostic, Python 3 interface
 This package is part of Robot OS (ROS), and contains the messages
 which provide the standardized interface for the diagnostic and
 runtime monitoring systems in ROS. These messages are currently used
 by the https://wiki.ros.org/diagnostics stack, which provides
 libraries for simple ways to set and access the messages, as well as
 automated ways to process the diagnostic data.
 .
 This package contains the generated Python 3 package.

Package: cl-diagnostic-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cl-std-msgs
Description: Messages relating to Robot OS diagnostic, LISP interface
 This package is part of Robot OS (ROS), and contains the messages
 which provide the standardized interface for the diagnostic and
 runtime monitoring systems in ROS. These messages are currently used
 by the https://wiki.ros.org/diagnostics stack, which provides
 libraries for simple ways to set and access the messages, as well as
 automated ways to process the diagnostic data.
 .
 This package contains the generated LISP library.

Package: ros-geometry-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-std-msgs
Description: Messages relating to Robot OS geometry, definitions
 This package is part of Robot OS (ROS), and provides the messages for
 common geometric primitives such as points, vectors, and poses. These
 primitives are designed to provide a common data type and facilitate
 interoperability throughout the system.
 .
 This package contains the message definitions.

Package: libgeometry-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libstd-msgs-dev
Description: Messages relating to Robot OS geometry, C/C++ interface
 This package is part of Robot OS (ROS), and provides the messages for
 common geometric primitives such as points, vectors, and poses. These
 primitives are designed to provide a common data type and facilitate
 interoperability throughout the system.
 .
 This package contains the generated headers files.

Package: python3-geometry-msgs
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs
Description: Messages relating to Robot OS geometry, Python 3 interface
 This package is part of Robot OS (ROS), and provides the messages for
 common geometric primitives such as points, vectors, and poses. These
 primitives are designed to provide a common data type and facilitate
 interoperability throughout the system.
 .
 This package contains the generated Python 3 package.

Package: cl-geometry-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cl-std-msgs
Description: Messages relating to Robot OS geometry, LISP interface
 This package is part of Robot OS (ROS), and provides the messages for
 common geometric primitives such as points, vectors, and poses. These
 primitives are designed to provide a common data type and facilitate
 interoperability throughout the system.
 .
 This package contains the generated LISP library.

Package: ros-nav-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-geometry-msgs, ros-actionlib-msgs
Description: Messages relating to Robot OS nav, definitions
 This package is part of Robot OS (ROS), and provides the common
 messages used to interact with the 'nav' https://wiki.ros.org/navigation
 stack.
 .
 This package contains the message definitions.

Package: libnav-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libgeometry-msgs-dev, libactionlib-msgs-dev
Description: Messages relating to Robot OS nav, C/C++ interface
 This package is part of Robot OS (ROS), and provides the common
 messages used to interact with the 'nav' https://wiki.ros.org/navigation
 stack.
 .
 This package contains the generated headers files.

Package: python3-nav-msgs
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy, libgeometry-msgs-dev, python3-actionlib-msgs
Description: Messages relating to Robot OS nav, Python 3 interface
 This package is part of Robot OS (ROS), and provides the common
 messages used to interact with the 'nav' https://wiki.ros.org/navigation
 stack.
 .
 This package contains the generated Python 3 package.

Package: cl-nav-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cl-geometry-msgs, cl-actionlib-msgs
Description: Messages relating to Robot OS nav, LISP interface
 This package is part of Robot OS (ROS), and provides the common
 messages used to interact with the 'nav' https://wiki.ros.org/navigation
 stack.
 .
 This package contains the generated LISP library.

Package: ros-sensor-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-geometry-msgs
Description: Messages relating to Robot OS sensor, definitions
 This package is part of Robot OS (ROS).
 This package defines messages for commonly used sensors, including
 cameras and scanning laser rangefinders.
 .
 This package contains the message definitions.

Package: libsensor-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgeometry-msgs-dev, ${misc:Depends}
Description: Messages relating to Robot OS sensor, C/C++ interface
 This package is part of Robot OS (ROS).
 This package defines messages for commonly used sensors, including
 cameras and scanning laser rangefinders.
 .
 This package contains the generated headers files.

Package: python3-sensor-msgs
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy, python3-geometry-msgs
Description: Messages relating to Robot OS sensor, Python 3 interface
 This package is part of Robot OS (ROS), and provides messages for
 commonly used sensors, including cameras and scanning laser
 rangefinders.
 .
 This package contains the generated Python 3 package.

Package: cl-sensor-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cl-geometry-msgs
Description: Messages relating to Robot OS sensor, LISP interface
 This package is part of Robot OS (ROS), and provides messages for
 commonly used sensors, including cameras and scanning laser
 rangefinders.
 .
 This package contains the generated LISP library.

Package: ros-shape-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-geometry-msgs
Description: Messages relating to Robot OS shape, definitions
 This package is part of Robot OS (ROS), and provides messages for
 commonly used sensors, including cameras and scanning laser
 rangefinders.
 .
 This package contains the message definitions.

Package: libshape-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libgeometry-msgs-dev
Description: Messages relating to Robot OS shape, C/C++ interface
 This package is part of Robot OS (ROS), and provides messages for
 commonly used sensors, including cameras and scanning laser
 rangefinders.
 .
 This package contains the generated headers files.

Package: python3-shape-msgs
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy, python3-geometry-msgs
Description: Messages relating to Robot OS shape, Python 3 interface
 This package is part of Robot OS (ROS), and provides messages for
 defining shapes, such as simple solid object primitives (cube,
 sphere, etc), planes, and meshes.
 .
 This package contains the generated Python 3 package.

Package: cl-shape-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cl-geometry-msgs
Description: Messages relating to Robot OS shape, LISP interface
 This package is part of Robot OS (ROS), and provides messages for
 defining shapes, such as simple solid object primitives (cube,
 sphere, etc), planes, and meshes.
 .

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-common-msgs-$1.tar.gz%" \
    https://github.com/ros/common_msgs/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-common-msgs 1.13.0

=== actionlib_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(actionlib_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation std_msgs)

add_message_files(
  DIRECTORY msg
  FILES
  GoalID.msg
  GoalStatus.msg
  GoalStatusArray.msg)
generate_messages(DEPENDENCIES std_msgs)

catkin_package(
  CATKIN_DEPENDS message_runtime std_msgs
  CFG_EXTRAS actionlib_msgs-extras.cmake)

# install the .action -> .msg generator
catkin_install_python(PROGRAMS scripts/genaction.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

# install the legacy rosbuild cmake support
install(FILES cmake/actionbuild.cmake
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/cmake)

=== nav_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(nav_msgs)

find_package(catkin REQUIRED COMPONENTS geometry_msgs message_generation std_msgs actionlib_msgs)

add_message_files(
  DIRECTORY msg
  FILES
  GridCells.msg
  MapMetaData.msg
  OccupancyGrid.msg
  Odometry.msg
  Path.msg)

add_service_files(
  DIRECTORY srv
  FILES
  GetMap.srv
  GetPlan.srv
  SetMap.srv)

add_action_files(
  FILES
  GetMap.action)

generate_messages(DEPENDENCIES geometry_msgs std_msgs actionlib_msgs)

catkin_package(CATKIN_DEPENDS geometry_msgs message_runtime std_msgs actionlib_msgs)

=== stereo_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(stereo_msgs)

find_package(catkin REQUIRED COMPONENTS sensor_msgs message_generation std_msgs)

add_message_files(
  DIRECTORY msg
  FILES
  DisparityImage.msg)

generate_messages(DEPENDENCIES sensor_msgs std_msgs)

catkin_package(CATKIN_DEPENDS message_runtime sensor_msgs std_msgs)

=== trajectory_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(trajectory_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation std_msgs geometry_msgs)

add_message_files(
  DIRECTORY msg
  FILES
  JointTrajectory.msg
  JointTrajectoryPoint.msg
  MultiDOFJointTrajectory.msg
  MultiDOFJointTrajectoryPoint.msg
  )

generate_messages(DEPENDENCIES std_msgs geometry_msgs)

catkin_package(CATKIN_DEPENDS message_runtime std_msgs geometry_msgs)

install(DIRECTORY rules
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-common-msgs (1.13.0-2) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 17:23:04 +0100

ros-common-msgs (1.13.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Jochen Sprickerhof ]
  * New upstream version 1.13.0
  * Remove Thomas from Uploaders, thanks for working on this
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 19:58:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: ros-common-msgs
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <jspricke@debian.org>,
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 12), catkin, libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
-		python3-all, python3-setuptools, dh-python, ros-std-msgs
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), catkin, libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
+		python3-all, python3-setuptools, dh-sequence-python3, ros-std-msgs
+Standards-Version: 4.5.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/common_msgs

## ros-common-msgs 1.13.1

=== diagnostic_msgs/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(diagnostic_msgs)
 
 find_package(catkin REQUIRED COMPONENTS message_generation std_msgs)

=== geometry_msgs/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(geometry_msgs)
 
 find_package(catkin REQUIRED COMPONENTS message_generation std_msgs)

=== visualization_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(visualization_msgs)

find_package(catkin REQUIRED COMPONENTS geometry_msgs message_generation std_msgs)

add_message_files(
  DIRECTORY msg
  FILES
  ImageMarker.msg
  InteractiveMarker.msg
  InteractiveMarkerControl.msg
  InteractiveMarkerFeedback.msg
  InteractiveMarkerInit.msg
  InteractiveMarkerPose.msg
  InteractiveMarkerUpdate.msg
  MarkerArray.msg
  Marker.msg
  MenuEntry.msg
)

generate_messages(DEPENDENCIES geometry_msgs std_msgs)

catkin_package(CATKIN_DEPENDS geometry_msgs message_runtime std_msgs)

=== debian/changelog ===
ros-common-msgs (1.13.1-3) unstable; urgency=medium

  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Thu, 26 Sep 2024 12:12:23 +0200

ros-common-msgs (1.13.1-2) unstable; urgency=medium

  * Drop unused python3-all dependency for cross builds
  * Make python3 dependency of libactionlib-msgs-dev :any
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Jun 2023 20:31:02 +0200

ros-common-msgs (1.13.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.13.1
  * Bump Standards-Version to 4.6.0 (no changes)
  * Add lintian override for arch:any
    - Multi-Arch interpreter problem as explained in #901696

 -- Timo Röhling <roehling@debian.org>  Sat, 25 Sep 2021 19:34:08 +0200

=== debian/control ===
Source: ros-common-msgs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 catkin,
 debhelper-compat (= 13),
 dh-ros (>= 0.13.9~),
 dh-sequence-python3,
 libroscpp-core-dev,
 libstd-msgs-dev,
 python3-setuptools,
 ros-message-generation,
 ros-std-msgs,
Standards-Version: 4.7.0
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/common_msgs
Vcs-Browser: https://salsa.debian.org/science-team/ros-common-msgs
Vcs-Git: https://salsa.debian.org/science-team/ros-common-msgs.git

Package: ros-actionlib-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends:
 ros-std-msgs,
 ${misc:Depends},
Description: Messages relating to Robot OS actionlib, definitions
 This package is part of Robot OS (ROS), and contains the common
 messages to interact with an action server and an action client.  For
 full documentation of the actionlib API see the
 https://wiki.ros.org/actionlib package.
 .
 This package contains the message definitions.

Package: cl-actionlib-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 cl-std-msgs,
 ${misc:Depends},
Description: Messages relating to Robot OS actionlib, LISP interface
 This package is part of Robot OS (ROS), and contains the common
 messages to interact with an action server and an action client.  For
 full documentation of the actionlib API see the
 https://wiki.ros.org/actionlib package.
 .
 This package contains the generated LISP library.

Package: cl-diagnostic-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 cl-std-msgs,
 ${misc:Depends},
Description: Messages relating to Robot OS diagnostic, LISP interface
 This package is part of Robot OS (ROS), and contains the messages
 which provide the standardized interface for the diagnostic and
 runtime monitoring systems in ROS. These messages are currently used
 by the https://wiki.ros.org/diagnostics stack, which provides
 libraries for simple ways to set and access the messages, as well as
 automated ways to process the diagnostic data.
 .
 This package contains the generated LISP library.

Package: cl-geometry-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 cl-std-msgs,
 ${misc:Depends},
Description: Messages relating to Robot OS geometry, LISP interface
 This package is part of Robot OS (ROS), and provides the messages for
 common geometric primitives such as points, vectors, and poses. These
 primitives are designed to provide a common data type and facilitate
 interoperability throughout the system.
 .
 This package contains the generated LISP library.

Package: cl-nav-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 cl-actionlib-msgs,
 cl-geometry-msgs,
 ${misc:Depends},
Description: Messages relating to Robot OS nav, LISP interface
 This package is part of Robot OS (ROS), and provides the common
 messages used to interact with the 'nav' https://wiki.ros.org/navigation
 stack.
 .
 This package contains the generated LISP library.

Package: cl-sensor-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 cl-geometry-msgs,
 ${misc:Depends},
Description: Messages relating to Robot OS sensor, LISP interface
 This package is part of Robot OS (ROS), and provides messages for
 commonly used sensors, including cameras and scanning laser
 rangefinders.
 .
 This package contains the generated LISP library.

Package: cl-shape-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 cl-geometry-msgs,
 ${misc:Depends},
Description: Messages relating to Robot OS shape, LISP interface
 This package is part of Robot OS (ROS), and provides messages for
 defining shapes, such as simple solid object primitives (cube,
 sphere, etc), planes, and meshes.
 .
 This package contains the generated LISP library.

Package: cl-stereo-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 cl-sensor-msgs,
 ${misc:Depends},
Description: Messages relating to Robot OS stereo, LISP interface
 This package is part of Robot OS (ROS), and provides messages
 specific to stereo processing, such as disparity images.
 .
 This package contains the generated LISP library.

Package: cl-trajectory-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 cl-geometry-msgs,
 ${misc:Depends},
Description: Messages relating to Robot OS trajectory, LISP interface
 This package is part of Robot OS (ROS), and provides messages for
 defining robot trajectories. These messages are also the building
 blocks of most of the https://wiki.ros.org/control_msgs
 .
 This package contains the generated LISP library.

Package: cl-visualization-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 cl-geometry-msgs,
 ${misc:Depends},
Description: Messages relating to Robot OS visualization, LISP interface
 This package is part of Robot OS (ROS), and provides a set of
 messages used by higher level packages, such as rviz, that deal in
 visualization-specific data.
 .
 The main messages in visualization_msgs is
 visualization_msgs/Marker.  The marker message is used to
 send visualization "markers" such as boxes, spheres, arrows, lines,
 etc. to a visualization environment such as
 https:///www.ros.org/wiki/rviz See the rviz tutorial
 https://www.ros.org/wiki/rviz/Tutorials for more information.
 .
 This package contains the generated LISP library.

Package: libactionlib-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libstd-msgs-dev,
 python3:any,
 ${misc:Depends},
Description: Messages relating to the Robot OS actionlib, C/C++ interface
 This package is part of Robot OS (ROS), and contains the common
 messages to interact with an action server and an action client.  For
 full documentation of the actionlib API see the
 https://wiki.ros.org/actionlib package.
 .
 This package contains the generated headers files.

Package: libdiagnostic-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libstd-msgs-dev,
 ${misc:Depends},
Description: Messages relating to Robot OS diagnostic, C/C++ interface
 This package is part of Robot OS (ROS), and contains the messages
 which provide the standardized interface for the diagnostic and
 runtime monitoring systems in ROS. These messages are currently used
 by the https://wiki.ros.org/diagnostics stack, which provides
 libraries for simple ways to set and access the messages, as well as
 automated ways to process the diagnostic data.
 .
 This package contains the generated C/C++ header files.

Package: libgeometry-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libstd-msgs-dev,
 ${misc:Depends},
Description: Messages relating to Robot OS geometry, C/C++ interface
 This package is part of Robot OS (ROS), and provides the messages for
 common geometric primitives such as points, vectors, and poses. These
 primitives are designed to provide a common data type and facilitate
 interoperability throughout the system.
 .
 This package contains the generated headers files.

Package: libnav-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libactionlib-msgs-dev,
 libgeometry-msgs-dev,
 ${misc:Depends},
Description: Messages relating to Robot OS nav, C/C++ interface
 This package is part of Robot OS (ROS), and provides the common
 messages used to interact with the 'nav' https://wiki.ros.org/navigation
 stack.
 .
 This package contains the generated headers files.

Package: libsensor-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgeometry-msgs-dev,
 ${misc:Depends},
Description: Messages relating to Robot OS sensor, C/C++ interface
 This package is part of Robot OS (ROS).
 This package defines messages for commonly used sensors, including
 cameras and scanning laser rangefinders.
 .
 This package contains the generated headers files.

Package: libshape-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgeometry-msgs-dev,
 ${misc:Depends},
Description: Messages relating to Robot OS shape, C/C++ interface
 This package is part of Robot OS (ROS), and provides messages for
 commonly used sensors, including cameras and scanning laser
 rangefinders.
 .
 This package contains the generated headers files.

Package: libstereo-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libsensor-msgs-dev,
 ${misc:Depends},
Description: Messages relating to Robot OS stereo, C/C++ interface
 This package is part of Robot OS (ROS), and provides messages
 specific to stereo processing, such as disparity images.
 .
 This package contains the generated headers files.

Package: libtrajectory-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgeometry-msgs-dev,
 ${misc:Depends},
Description: Messages relating to Robot OS trajectory, C/C++ interface
 This package is part of Robot OS (ROS), and provides messages for
 defining robot trajectories. These messages are also the building
 blocks of most of the https://wiki.ros.org/control_msgs
 .
 This package contains the generated headers files.

Package: libvisualization-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgeometry-msgs-dev,
 ${misc:Depends},
Description: Messages relating to Robot OS visualization, C/C++ interface
 This package is part of Robot OS (ROS), and provides a set of
 messages used by higher level packages, such as rviz, that deal in
 visualization-specific data.
 .
 The main messages in visualization_msgs is
 visualization_msgs/Marker.  The marker message is used to
 send visualization "markers" such as boxes, spheres, arrows, lines,
 etc. to a visualization environment such as
 https:///www.ros.org/wiki/rviz See the rviz tutorial
 https://www.ros.org/wiki/rviz/Tutorials for more information.
 .
 This package contains the generated headers files.

Package: python3-actionlib-msgs
Section: python
Architecture: all
Depends:
 python3-genpy,
 python3-std-msgs,
 ${misc:Depends},
 ${python3:Depends},
Description: Messages relating to Robot OS actionlib, Python 3 interface
 This package is part of Robot OS (ROS), and contains the common
 messages to interact with an action server and an action client.  For
 full documentation of the actionlib API see the
 https://wiki.ros.org/actionlib package.
 .
 This package contains the generated Python 3 package.

Package: python3-diagnostic-msgs
Section: python
Architecture: all
Depends:
 python3-genpy,
 python3-std-msgs,
 ${misc:Depends},
 ${python3:Depends},
Description: Messages relating to Robot OS diagnostic, Python 3 interface
 This package is part of Robot OS (ROS), and contains the messages
 which provide the standardized interface for the diagnostic and
 runtime monitoring systems in ROS. These messages are currently used
 by the https://wiki.ros.org/diagnostics stack, which provides
 libraries for simple ways to set and access the messages, as well as
 automated ways to process the diagnostic data.
 .
 This package contains the generated Python 3 package.

Package: python3-geometry-msgs
Section: python
Architecture: all
Depends:
 python3-genpy,
 python3-std-msgs,
 ${misc:Depends},
 ${python3:Depends},
Description: Messages relating to Robot OS geometry, Python 3 interface
 This package is part of Robot OS (ROS), and provides the messages for
 common geometric primitives such as points, vectors, and poses. These
 primitives are designed to provide a common data type and facilitate
 interoperability throughout the system.
 .
 This package contains the generated Python 3 package.

Package: python3-nav-msgs
Section: python
Architecture: all
Depends:
 libgeometry-msgs-dev,
 python3-actionlib-msgs,
 python3-genpy,
 ${misc:Depends},
 ${python3:Depends},
Description: Messages relating to Robot OS nav, Python 3 interface
 This package is part of Robot OS (ROS), and provides the common

## ros-common-msgs 1.13.2

=== common_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(common_msgs)
find_package(catkin REQUIRED)
catkin_metapackage()

=== nav_msgs/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,8 @@
   FILES
   GetMap.srv
   GetPlan.srv
-  SetMap.srv)
+  SetMap.srv
+  LoadMap.srv)
 
 add_action_files(
   FILES

=== sensor_msgs/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(sensor_msgs)
 
 find_package(catkin REQUIRED COMPONENTS geometry_msgs message_generation std_msgs)

=== shape_msgs/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(shape_msgs)
 
 find_package(catkin REQUIRED COMPONENTS geometry_msgs message_generation std_msgs)

=== sensor_msgs/test/CMakeLists.txt ===
include_directories(${catkin_INCLUDE_DIRS})
catkin_add_gtest(${PROJECT_NAME}_test main.cpp)
catkin_add_gtest(${PROJECT_NAME}_test_image_encodings test_image_encodings.cpp)
if(TARGET sensor_msgs_test)
  add_dependencies(${PROJECT_NAME}_test ${sensor_msgs_EXPORTED_TARGETS})
endif()

=== debian/changelog ===
ros-common-msgs (1.13.2-1) unstable; urgency=medium

  * New upstream version 1.13.2
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2
  * Add missing cross-build dependency.
    Thanks to Helmut Grohne (Closes: #1112084)

 -- Timo Röhling <roehling@debian.org>  Thu, 28 Aug 2025 10:06:20 +0200

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,17 @@
  Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
  Timo Röhling <roehling@debian.org>,
 Build-Depends:
- catkin,
  debhelper-compat (= 13),
  dh-ros (>= 0.13.9~),
  dh-sequence-python3,
+ catkin,
+ libpython3-dev,
  libroscpp-core-dev,
  libstd-msgs-dev,
  python3-setuptools,
  ros-message-generation,
  ros-std-msgs,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/common_msgs
@@ -374,4 +375,3 @@
  ${misc:Depends},
  ${python3:Depends},
 Description: Messages relating to Robot OS nav, Python 3 interface
- This package is part of Robot OS (ROS), and provides the common

=== debian/rules ===
#!/usr/bin/make -f

export ROS_SKIP_PACKAGES = common_msgs

%:
	dh $@ --buildsystem=ros
